# IEDB NXG Tools Interfaces

This repo consists of several sub-packages that help to communicate between
the various systems that compose the IEDB NextGen Tools.  Each of the sub-
packages serve different functionalities, but are interdependent.

## NXG client

The [NXG API client](nxg_client) contains code for interacting with the
NXG Tools API through the REST interface.  It is initially being developed
to support the operations necessary to pull data to the cluster and push
results back to the server.  It can, however, be expanded to support more
functionality for public use.  More documentation is available in its
[README](nxg_client/README.md).

## NXG HPC Jobs

The [NXG HPC Jobs](nxg_hpc_jobs) package includes python and shell wrapper scripts
for coordinating NXG Tools jobs on the HPC.  More documentation is available in its
[README](nxg_hpc_jobs/README.md).

## NXG Common

The [NXG Common](nxg_common) package includes code that may need to be imported by
many different parts of the system, including column descriptions, parsing code,
format conversions, validation code, and other utility functions.  More documentation
is available in its [README](nxg_common/README.md).